# Uses of Interface
com.logicaldoc.core.metadata.AttributeSetDAO

Packages that use AttributeSetDAO
Package
Description
com.logicaldoc.core.metadata
Package that collects the template and attribute sets definitions.
Many objects of the LogicalDOC platform are extensible and can store your custom metadata, they are all those that extends the `ExtensibleObject`.

## Uses of AttributeSetDAO in com.logicaldoc.core.metadata

Classes in com.logicaldoc.core.metadata that implement AttributeSetDAO
Modifier and Type
Class
Description
`class`
`HibernateAttributeSetDAO`
Hibernate implementation of `TemplateDAO`
Methods in com.logicaldoc.core.metadata that return AttributeSetDAO
Modifier and Type
Method
Description
`static AttributeSetDAO`
AttributeSetDAO.`get()`
Gets the object available in the application context